Notebook lid blank after booting with lid closed

Bug #1801359 reported by Matthias Meier on 2018-11-02
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
You-Sheng Yang

Bug Description

When using a external monitor on a Dell Precision 5520 Notebook and booting with lid closed ...

1. the lid stays blank when later opening it (happens on Ubuntu 18.10 and 18.04)

2. and login using a Xorg is not possible (a login-loop happens on Ubuntu 18.10)

Digging in sysfs I saw that /sys/class/backlight/intel_backlight/bl_power
0 (and manually changable) when booted with lid open
but 4 (and unchangable) when booted with lid closed.

Other (eg. power) entires under /sys/class/backlight/intel_backlight can't be changed or don't help and changing /sys/class/backlight/intel_backlight/brightness don't help as well.

There is neither a difference in dmesg output (except some additional "enabling Extended Tags" when booting with lid open) nor any difference in modules loaded.

ProblemType: Bug
DistroRelease: Ubuntu 18.10
Package: linux-image-4.18.0-10-generic 4.18.0-10.11
ProcVersionSignature: Ubuntu 4.18.0-10.11-generic 4.18.12
Uname: Linux 4.18.0-10-generic x86_64
ApportVersion: 2.20.10-0ubuntu13
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mm 1720 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
Date: Fri Nov 2 13:38:44 2018
InstallationDate: Installed on 2018-10-19 (13 days ago)
InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 (20181017.3)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 004: ID 04f3:24a1 Elan Microelectronics Corp.
 Bus 001 Device 005: ID 0c45:6713 Microdia
 Bus 001 Device 002: ID 046d:c52b Logitech, Inc. Unifying Receiver
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. Precision 5520
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/@/vmlinuz root=UUID=31b59337-0e21-48d0-bede-155475fc0c7b ro rootflags=subvol=@ rootwait vt.handoff=1
RelatedPackageVersions:
 linux-restricted-modules-4.18.0-10-generic N/A
 linux-backports-modules-4.18.0-10-generic N/A
 linux-firmware 1.175
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/02/2018
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.12.1
dmi.board.name: 0R6JFH
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.12.1:bd10/02/2018:svnDellInc.:pnPrecision5520:pvr:rvnDellInc.:rn0R6JFH:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: Precision
dmi.product.name: Precision 5520
dmi.product.sku: 07BF
dmi.sys.vendor: Dell Inc.

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Did this issue start happening after an update/upgrade? Was there a
prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer
to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest
v4.19 kernel[0].

If this bug is fixed in the mainline kernel, please add the following
tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag:
'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as
"Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.19

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

It always happend on this notebook (since one year on the last 3 Ubuntu releases)

Also on 4.19.0-041900-generic (form http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.19 as you suggested) it happens.

But just now I saw that I get following bus fault error when I open the lid after booting:

kernel: [ 31.496669] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 619444 [ IBUS ]

(this happend on previous kernels as well)

tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
status: Confirmed → Incomplete
Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report[0]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

Please follow the instructions on the wiki page[0]. The first step is to email the appropriate mailing list. If no response is received, then a bug may be opened on bugzilla.kernel.org.

Once this bug is reported upstream, please add the tag: 'kernel-bug-reported-upstream'.

[0] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Triaged
Kai-Heng Feng (kaihengfeng) wrote :

Does this issue still happen?

Yes it still happens even with recent Ubuntu and Linux Kernel (5.1).
I guess it's neither a Ubuntu nor a Linux Kernel problem but a bios problem of the Dell Precision 5520 but unfortunately I have no Windows installed to verify.

So you could close this ticket.

Thx, Matthias

Kai-Heng Feng (kaihengfeng) wrote :

I'll see if this also happens to the Precision 5520 in our lab.

Changed in linux (Ubuntu):
assignee: nobody → Kai-Heng Feng (kaihengfeng)
Brad Figg (brad-figg) on 2019-07-24
tags: added: ubuntu-certified
You-Sheng Yang (vicamo) wrote :

I managed to reproduce this on a Precision 5520 with Bionic, kernel 5.0.0-23.24~18.04.1-generic:

/usr/lib/gdm3/gdm-x-session[1349]: (EE) modeset(0): failed to set mode: Invalid argument
/usr/lib/gdm3/gdm-x-session[1349]: (EE) modeset(0): failed to set mode: Invalid argument
org.gnome.Shell.desktop[1497]: X Error of failed request: BadValue (integer parameter out of range for operation)
org.gnome.Shell.desktop[1497]: Major opcode of failed request: 140 (RANDR)
org.gnome.Shell.desktop[1497]: Minor opcode of failed request: 7 (RRSetScreenSize)
org.gnome.Shell.desktop[1497]: Value in failed request: 0x2580
org.gnome.Shell.desktop[1497]: Serial number of failed request: 415
org.gnome.Shell.desktop[1497]: Current serial number in output stream: 417
gnome-session[1361]: gnome-session-binary[1361]: WARNING: App 'org.gnome.Shell.desktop' exited with code 1
gnome-session-binary[1361]: WARNING: App 'org.gnome.Shell.desktop' exited with code 1

So it seems gnome-shell tries to set an invalid value for RRSetScreenSize, and that failed unexpectedly.

Changed in linux (Ubuntu):
assignee: Kai-Heng Feng (kaihengfeng) → You-Sheng Yang (vicamo)
You-Sheng Yang (vicamo) wrote :

* with nvidia proprietary driver 430 and Disco runtime/kernel-5.0.0-23-generic, one can login via the external monitor while the built-in one still remains off. Mainline kernel v5.2.8 has the same situation, but v5.3-rc4 gets worse as it can't even set the external monitor resolution right.

* the pcie dmesg errors about 0000:06:00 and 0000:07:00 are unrelated,

* mouse cursor may move across the screen border into the built-in one while it's still off under `Join Screens` configuration, so the configuration should be effective to a certain degree.

You-Sheng Yang (vicamo) wrote :

* `edp_panel_vdd_on` related:
  good:
  ```
  [drm:edp_panel_vdd_on [i915]] Turning eDP port A VDD on
  [drm:edp_panel_vdd_on [i915]] PP_STATUS: 0x80000008 PP_CONTROL: 0x0000000f
  ```
  bad:
  ```
  [drm:edp_panel_vdd_on [i915]] Turning eDP port A VDD on
  [drm:wait_panel_power_cycle [i915]] Wait for panel power cycle
  [drm:wait_panel_status [i915]] mask b800000f value 00000000 status 00000000 control 00000002
  [drm:wait_panel_status [i915]] Wait complete
  [drm:edp_panel_vdd_on [i915]] PP_STATUS: 0x00000000 PP_CONTROL: 0x0000000a
  [drm:edp_panel_vdd_on [i915]] eDP port A panel power wasn't enabled
  ```

You-Sheng Yang (vicamo) on 2019-08-14
Changed in linux (Ubuntu):
status: Triaged → In Progress
You-Sheng Yang (vicamo) wrote :

I think there is issues in handling such case in gnome-shell/bionic itself. With an Intel card only platform, one may login via gdm displayed on the external monitor. But when logged in, the built-in display will have the content of a second one, and the external monitor will be blank. Then if you unplug HDMI and replug in, the external monitor will have the content of a second one, but the built-in display will be off.

So there might be an hardware/nvidia/i915 issue in `edp_panel_vdd_on()`, but upgrade the system to Disco/Eoan is still a must to receive new fixes for related behaviors.

You-Sheng Yang (vicamo) on 2019-10-03
Changed in linux (Ubuntu):
status: In Progress → Confirmed
You-Sheng Yang (vicamo) on 2020-04-06
tags: added: hwe-graphics
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers